/****************************************************************************
*
*    The MIT License (MIT)
*
*    Copyright (c) 2014 - 2021 Vivante Corporation
*
*    Permission is hereby granted, free of charge, to any person obtaining a
*    copy of this software and associated documentation files (the "Software"),
*    to deal in the Software without restriction, including without limitation
*    the rights to use, copy, modify, merge, publish, distribute, sublicense,
*    and/or sell copies of the Software, and to permit persons to whom the
*    Software is furnished to do so, subject to the following conditions:
*
*    The above copyright notice and this permission notice shall be included in
*    all copies or substantial portions of the Software.
*
*    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
*    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
*    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
*    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
*    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
*    FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
*    DEALINGS IN THE SOFTWARE.
*
*****************************************************************************
*
*    The GPL License (GPL)
*
*    Copyright (C) 2014 - 2021 Vivante Corporation
*
*    This program is free software; you can redistribute it and/or
*    modify it under the terms of the GNU General Public License
*    as published by the Free Software Foundation; either version 2
*    of the License, or (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software Foundation,
*    Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*
*****************************************************************************
*
*    Note: This software is released under dual MIT and GPL licenses. A
*    recipient may use this file under the terms of either the MIT license or
*    GPL License. If you wish to use only one license not the other, you can
*    indicate your decision by deleting one of the above license notices in your
*    version of this file.
*
*****************************************************************************/


#define MDUID_PPA                                               0xe0000
#define MDUID_SE                                                0x30000
#define MDUID_APPINFO                                           0x1f0000
#define MDUID_RA                                                0x40000
#define MDUID_PA                                                0x20000
#define MDUID_VS                                                0x10000
#define MDUID_TCS                                               0x100000
#define MDUID_TES                                               0x110000
#define MDUID_GS                                                0x120000
#define MDUID_PSCS                                              0x50000
#define MDUID_HI                                                0xa0000
#define MDUID_MC                                                0x80000
#define MDUID_TX                                                0x60000
#define MDUID_BLT                                               0x160000
#define MDUID_FE                                                0x00000
#define MDUID_USC                                               0x140000
#define MDUID_WD                                                0xd0000
#define MDUID_CHIPINFO                                          0x1e0000
#define MDUID_FPA                                               0xf0000
#define MDUID_PE                                                0x70000
#define MDUID_TFB                                               0x130000
#define MDUID_DIR                                               0x150000

#define MDUSEL_APPINFO_ProbeState_OpNum                         0x0401
#define MDUSEL_APPINFO_ProbeState_OpTyp                         0x0402
#define MDUSEL_APPINFO_ProbeState_DrawNum                       0x0403
#define MDUSEL_APPINFO_ProbeState_BlitNum                       0x0404
#define MDUSEL_APPINFO_ProbeState_ComputeNum                    0x0405
#define MDUSEL_APPINFO_ProbeState_ResolveNum                    0x0406
#define MDUSEL_APPINFO_ProbeState_VsId                          0x0407
#define MDUSEL_APPINFO_ProbeState_TcsId                         0x0408
#define MDUSEL_APPINFO_ProbeState_TesId                         0x0409
#define MDUSEL_APPINFO_ProbeState_GsId                          0x040A
#define MDUSEL_APPINFO_ProbeState_PsId                          0x040B
#define MDUSEL_APPINFO_ProbeState_CsId                          0x040C

#define MDUSEL_APPINFO_NUM                                      12

#define MDUSEL_CHIPINFO_ProbeState_ChipID                       0x0001
#define MDUSEL_CHIPINFO_ProbeState_ChipVer                      0x0002
#define MDUSEL_CHIPINFO_ProbeState_PID                          0x0003
#define MDUSEL_CHIPINFO_ProbeState_CID                          0x0004

#define MDUSEL_CHIPINFO_NUM                                     4

DefineModule(FE, 0x00000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x7);
DefineProbe(0x10);
DefineProbe(0x11);
DefineProbe(0x12);
DefineProbe(0x13);
DefineProbe(0x14);
DefineProbe(0x15);
DefineProbe(0xfe);
DefineProbe(0xff);
DefineProbe(0x801);
DefineProbe(0x802);
DefineProbe(0x803);
DefineProbe(0x804);
DefineProbe(0x805);
DefineProbe(0x806);
DefineProbe(0x807);
DefineProbe(0xc01);
DefineProbe(0xc02);
DefineProbe(0xc03);
DefineProbe(0xc04);
DefineProbe(0xc05);
DefineProbe(0xc06);
DefineProbe(0xc07);

DefineModule(WD, 0xd0000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x7);
DefineProbe(0x8);
DefineProbe(0x10);
DefineProbe(0x11);
DefineProbe(0x12);
DefineProbe(0x13);
DefineProbe(0x14);
DefineProbe(0x15);
DefineProbe(0x16);
DefineProbe(0x17);
DefineProbe(0x18);
DefineProbe(0x19);
DefineProbe(0x1a);
DefineProbe(0x1b);
DefineProbe(0x1c);
DefineProbe(0x1d);
DefineProbe(0x1e);
DefineProbe(0x1f);
DefineProbe(0x20);
DefineProbe(0x21);
DefineProbe(0x22);
DefineProbe(0x23);
DefineProbe(0x24);
DefineProbe(0x25);
DefineProbe(0x26);
DefineProbe(0x27);
DefineProbe(0x30);
DefineProbe(0x31);
DefineProbe(0x32);
DefineProbe(0x33);
DefineProbe(0x34);
DefineProbe(0x35);
DefineProbe(0x36);
DefineProbe(0x37);
DefineProbe(0x38);
DefineProbe(0x39);
DefineProbe(0x3a);
DefineProbe(0x3b);
DefineProbe(0x50);
DefineProbe(0x51);
DefineProbe(0x52);
DefineProbe(0x53);
DefineProbe(0x54);
DefineProbe(0x55);
DefineProbe(0x56);
DefineProbe(0x57);
DefineProbe(0x58);
DefineProbe(0x59);
DefineProbe(0x5a);
DefineProbe(0x5b);
DefineProbe(0x5c);
DefineProbe(0x5d);
DefineProbe(0x5e);
DefineProbe(0x5f);
DefineProbe(0x60);
DefineProbe(0x61);
DefineProbe(0x62);
DefineProbe(0x63);
DefineProbe(0x64);
DefineProbe(0x65);
DefineProbe(0x66);
DefineProbe(0x80);
DefineProbe(0x81);
DefineProbe(0xfe);
DefineProbe(0xff);

DefineModule(TFB, 0x130000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x15);
DefineProbe(0x10);
DefineProbe(0x11);
DefineProbe(0x12);
DefineProbe(0x13);
DefineProbe(0x14);
DefineProbe(0x16);
DefineProbe(0x17);
DefineProbe(0x18);
DefineProbe(0x19);
DefineProbe(0x1a);
DefineProbe(0x1b);
DefineProbe(0xfe);
DefineProbe(0xff);
DefineProbe(0x801);
DefineProbe(0x802);

DefineModule(PPA, 0xe0000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x7);
DefineProbe(0x8);
DefineProbe(0x9);
DefineProbe(0xa);
DefineProbe(0x10);
DefineProbe(0x11);
DefineProbe(0x12);
DefineProbe(0x13);
DefineProbe(0x14);
DefineProbe(0x15);
DefineProbe(0x16);
DefineProbe(0x17);
DefineProbe(0x18);
DefineProbe(0x19);
DefineProbe(0x1a);
DefineProbe(0x1b);
DefineProbe(0xfe);
DefineProbe(0xff);

DefineModule(FPA, 0xf0000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x8);
DefineProbe(0x9);
DefineProbe(0xa);
DefineProbe(0xb);
DefineProbe(0x10);
DefineProbe(0x11);
DefineProbe(0x12);
DefineProbe(0x13);
DefineProbe(0x14);
DefineProbe(0x15);
DefineProbe(0x16);
DefineProbe(0x17);
DefineProbe(0x18);
DefineProbe(0x19);
DefineProbe(0x1a);
DefineProbe(0x1b);
DefineProbe(0xfe);
DefineProbe(0xff);

DefineModule(PA, 0x20000);
DefineProbe(0x801);
DefineProbe(0x802);
DefineProbe(0x803);
DefineProbe(0x804);
DefineProbe(0x805);
DefineProbe(0x806);
DefineProbe(0x807);
DefineProbe(0x808);
DefineProbe(0x809);
DefineProbe(0x80a);
DefineProbe(0x80b);
DefineProbe(0x80c);
DefineProbe(0x80d);
DefineProbe(0x80e);
DefineProbe(0x80f);
DefineProbe(0x810);
DefineProbe(0xc01);
DefineProbe(0xc02);
DefineProbe(0xc03);
DefineProbe(0xc04);
DefineProbe(0xc05);
DefineProbe(0xc06);
DefineProbe(0xc07);
DefineProbe(0xc08);
DefineProbe(0xc09);
DefineProbe(0xc0a);
DefineProbe(0xc0b);
DefineProbe(0xc0c);
DefineProbe(0xc0d);
DefineProbe(0xc0e);
DefineProbe(0xc0f);
DefineProbe(0xc10);
DefineProbe(0xc11);
DefineProbe(0xc12);
DefineProbe(0xc13);
DefineProbe(0xc14);
DefineProbe(0xc15);
DefineProbe(0xc16);
DefineProbe(0xc17);
DefineProbe(0xc18);
DefineProbe(0xc19);
DefineProbe(0xc1a);

DefineModule(SE, 0x30000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x10);
DefineProbe(0x11);
DefineProbe(0x12);
DefineProbe(0xfe);
DefineProbe(0xff);
DefineProbe(0x801);
DefineProbe(0x802);
DefineProbe(0x803);
DefineProbe(0x804);
DefineProbe(0x805);
DefineProbe(0x806);
DefineProbe(0x807);
DefineProbe(0x808);
DefineProbe(0x809);
DefineProbe(0xc01);
DefineProbe(0xc02);
DefineProbe(0xc03);
DefineProbe(0xc04);
DefineProbe(0xc05);
DefineProbe(0xc06);

DefineModule(RA, 0x40000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x7);
DefineProbe(0x8);
DefineProbe(0x9);
DefineProbe(0xa);
DefineProbe(0xb);
DefineProbe(0xc);
DefineProbe(0xd);
DefineProbe(0xe);
DefineProbe(0x10);
DefineProbe(0x1b);
DefineProbe(0x11);
DefineProbe(0x12);
DefineProbe(0x13);
DefineProbe(0x14);
DefineProbe(0x15);
DefineProbe(0x16);
DefineProbe(0x17);
DefineProbe(0x18);
DefineProbe(0x19);
DefineProbe(0x1a);
DefineProbe(0xfe);
DefineProbe(0xff);
DefineProbe(0x401);
DefineProbe(0x402);
DefineProbe(0x403);
DefineProbe(0x404);
DefineProbe(0x801);
DefineProbe(0x802);
DefineProbe(0x803);
DefineProbe(0x804);
DefineProbe(0x805);
DefineProbe(0x806);
DefineProbe(0x807);
DefineProbe(0x808);
DefineProbe(0x809);
DefineProbe(0x80a);
DefineProbe(0x80b);
DefineProbe(0x80c);
DefineProbe(0x80d);
DefineProbe(0x80e);
DefineProbe(0x80f);
DefineProbe(0x810);
DefineProbe(0x811);
DefineProbe(0xc01);
DefineProbe(0xc02);
DefineProbe(0xc03);
DefineProbe(0xc04);
DefineProbe(0xc05);
DefineProbe(0xc06);
DefineProbe(0xc07);
DefineProbe(0xc08);
DefineProbe(0xc09);
DefineProbe(0xc0a);

DefineModule(VS, 0x10000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x7);
DefineProbe(0x8);
DefineProbe(0x9);
DefineProbe(0x12);
DefineProbe(0x13);
DefineProbe(0xfe);
DefineProbe(0xff);
DefineProbe(0x401);
DefineProbe(0x402);
DefineProbe(0x403);
DefineProbe(0x404);
DefineProbe(0x405);
DefineProbe(0x801);
DefineProbe(0x802);
DefineProbe(0x803);
DefineProbe(0x804);
DefineProbe(0x805);
DefineProbe(0x806);
DefineProbe(0x807);
DefineProbe(0x808);
DefineProbe(0x809);
DefineProbe(0x80a);
DefineProbe(0x80b);
DefineProbe(0x80c);
DefineProbe(0x80d);
DefineProbe(0x80e);
DefineProbe(0x80f);
DefineProbe(0x810);
DefineProbe(0x811);
DefineProbe(0x812);
DefineProbe(0x813);
DefineProbe(0x814);
DefineProbe(0x815);
DefineProbe(0x816);
DefineProbe(0x817);
DefineProbe(0x818);
DefineProbe(0x819);
DefineProbe(0x81a);
DefineProbe(0x81b);
DefineProbe(0x81c);
DefineProbe(0x81d);
DefineProbe(0x81e);
DefineProbe(0x81f);
DefineProbe(0x820);
DefineProbe(0x821);
DefineProbe(0x822);
DefineProbe(0x823);
DefineProbe(0x824);
DefineProbe(0x825);
DefineProbe(0x826);
DefineProbe(0x827);
DefineProbe(0x828);
DefineProbe(0x829);
DefineProbe(0x82a);
DefineProbe(0x82b);
DefineProbe(0x82c);
DefineProbe(0x82d);
DefineProbe(0x82e);
DefineProbe(0x82f);
DefineProbe(0x830);
DefineProbe(0x831);
DefineProbe(0x832);
DefineProbe(0x833);
DefineProbe(0x834);
DefineProbe(0x835);
DefineProbe(0x836);
DefineProbe(0x837);
DefineProbe(0x838);
DefineProbe(0x839);
DefineProbe(0x83a);
DefineProbe(0x83b);
DefineProbe(0x83c);
DefineProbe(0x83d);
DefineProbe(0x83e);
DefineProbe(0x83f);
DefineProbe(0x840);
DefineProbe(0x841);
DefineProbe(0x842);
DefineProbe(0x843);
DefineProbe(0x844);
DefineProbe(0x845);
DefineProbe(0x846);
DefineProbe(0x847);
DefineProbe(0x848);
DefineProbe(0x849);
DefineProbe(0x84a);
DefineProbe(0x84b);
DefineProbe(0x84c);
DefineProbe(0x84d);
DefineProbe(0x84e);
DefineProbe(0x84f);
DefineProbe(0x850);
DefineProbe(0x851);
DefineProbe(0x852);
DefineProbe(0x853);
DefineProbe(0x854);
DefineProbe(0x855);
DefineProbe(0x856);
DefineProbe(0x857);
DefineProbe(0x858);
DefineProbe(0x859);
DefineProbe(0x85a);
DefineProbe(0x85b);
DefineProbe(0x85c);
DefineProbe(0x85d);
DefineProbe(0x85e);
DefineProbe(0x85f);
DefineProbe(0x860);
DefineProbe(0x861);
DefineProbe(0x862);
DefineProbe(0x863);
DefineProbe(0x864);
DefineProbe(0x865);
DefineProbe(0x866);
DefineProbe(0x867);
DefineProbe(0x868);
DefineProbe(0x869);
DefineProbe(0x86a);
DefineProbe(0x86b);
DefineProbe(0x86c);
DefineProbe(0x86d);
DefineProbe(0x86e);
DefineProbe(0x86f);
DefineProbe(0x870);
DefineProbe(0x871);
DefineProbe(0x872);
DefineProbe(0x873);
DefineProbe(0x874);
DefineProbe(0x875);
DefineProbe(0x876);
DefineProbe(0x877);
DefineProbe(0x878);
DefineProbe(0x879);
DefineProbe(0x87a);
DefineProbe(0x87b);
DefineProbe(0x87c);
DefineProbe(0x87d);
DefineProbe(0x87e);
DefineProbe(0x87f);
DefineProbe(0x880);
DefineProbe(0x881);
DefineProbe(0x882);
DefineProbe(0x883);
DefineProbe(0x884);
DefineProbe(0x885);
DefineProbe(0x886);
DefineProbe(0x887);
DefineProbe(0x888);
DefineProbe(0x889);
DefineProbe(0x88a);
DefineProbe(0x88b);
DefineProbe(0x88c);
DefineProbe(0x88d);
DefineProbe(0x88e);
DefineProbe(0x88f);
DefineProbe(0x890);
DefineProbe(0x891);
DefineProbe(0x892);
DefineProbe(0x893);
DefineProbe(0x894);
DefineProbe(0x895);
DefineProbe(0x896);
DefineProbe(0x897);
DefineProbe(0x898);
DefineProbe(0x899);
DefineProbe(0x89a);
DefineProbe(0x89b);
DefineProbe(0x89c);
DefineProbe(0xc01);
DefineProbe(0xc02);

DefineModule(TCS, 0x100000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x7);
DefineProbe(0x8);
DefineProbe(0x9);
DefineProbe(0x12);
DefineProbe(0xfe);
DefineProbe(0xff);
DefineProbe(0x405);
DefineProbe(0x406);
DefineProbe(0x407);
DefineProbe(0x801);
DefineProbe(0x802);
DefineProbe(0x803);
DefineProbe(0x804);
DefineProbe(0x805);
DefineProbe(0x806);
DefineProbe(0x807);
DefineProbe(0x808);
DefineProbe(0x809);
DefineProbe(0x80a);
DefineProbe(0x80b);
DefineProbe(0x80c);
DefineProbe(0x80d);
DefineProbe(0x80e);
DefineProbe(0x80f);
DefineProbe(0x810);
DefineProbe(0x811);
DefineProbe(0x812);
DefineProbe(0x813);
DefineProbe(0x814);
DefineProbe(0x815);
DefineProbe(0x816);
DefineProbe(0x817);
DefineProbe(0x818);
DefineProbe(0x819);
DefineProbe(0x81a);
DefineProbe(0x81b);
DefineProbe(0x81c);
DefineProbe(0x81d);
DefineProbe(0x81e);
DefineProbe(0x81f);
DefineProbe(0x820);
DefineProbe(0x821);
DefineProbe(0x822);
DefineProbe(0x823);
DefineProbe(0x824);
DefineProbe(0x825);
DefineProbe(0x826);
DefineProbe(0x827);
DefineProbe(0x828);
DefineProbe(0x829);
DefineProbe(0x82a);
DefineProbe(0x82b);
DefineProbe(0x82c);
DefineProbe(0x82d);
DefineProbe(0x82e);
DefineProbe(0x82f);
DefineProbe(0x830);
DefineProbe(0x831);
DefineProbe(0x832);
DefineProbe(0x833);
DefineProbe(0x834);
DefineProbe(0x835);
DefineProbe(0x836);
DefineProbe(0x837);
DefineProbe(0x838);
DefineProbe(0x839);
DefineProbe(0x83a);
DefineProbe(0x83b);
DefineProbe(0x83c);
DefineProbe(0x83d);
DefineProbe(0x83e);
DefineProbe(0x83f);
DefineProbe(0x840);
DefineProbe(0x841);
DefineProbe(0x842);
DefineProbe(0x843);
DefineProbe(0x844);
DefineProbe(0x845);
DefineProbe(0x846);
DefineProbe(0x847);
DefineProbe(0x848);
DefineProbe(0x849);
DefineProbe(0x84a);
DefineProbe(0x84b);
DefineProbe(0x84c);
DefineProbe(0x84d);
DefineProbe(0x84e);
DefineProbe(0x84f);
DefineProbe(0x850);
DefineProbe(0x851);
DefineProbe(0x852);
DefineProbe(0x853);
DefineProbe(0x854);
DefineProbe(0x855);
DefineProbe(0x856);
DefineProbe(0x857);
DefineProbe(0x858);
DefineProbe(0x859);
DefineProbe(0x85a);
DefineProbe(0x85b);
DefineProbe(0x85c);
DefineProbe(0x85d);
DefineProbe(0x85e);
DefineProbe(0x85f);
DefineProbe(0x860);
DefineProbe(0x861);
DefineProbe(0x862);
DefineProbe(0x863);
DefineProbe(0x864);
DefineProbe(0x865);
DefineProbe(0x866);
DefineProbe(0x867);
DefineProbe(0x868);
DefineProbe(0x869);
DefineProbe(0x86a);
DefineProbe(0x86b);
DefineProbe(0x86c);
DefineProbe(0x86d);
DefineProbe(0x86e);
DefineProbe(0x86f);
DefineProbe(0x870);
DefineProbe(0x871);
DefineProbe(0x872);
DefineProbe(0x873);
DefineProbe(0x874);
DefineProbe(0x875);
DefineProbe(0x876);
DefineProbe(0x877);
DefineProbe(0x878);
DefineProbe(0x879);
DefineProbe(0x87a);
DefineProbe(0x87b);
DefineProbe(0x87c);
DefineProbe(0x87d);
DefineProbe(0x87e);
DefineProbe(0x87f);
DefineProbe(0x880);
DefineProbe(0x881);
DefineProbe(0x882);
DefineProbe(0x883);
DefineProbe(0x884);
DefineProbe(0x885);
DefineProbe(0x886);
DefineProbe(0x887);
DefineProbe(0x888);
DefineProbe(0x889);
DefineProbe(0x88a);
DefineProbe(0x88b);
DefineProbe(0x88c);
DefineProbe(0x88d);
DefineProbe(0x88e);
DefineProbe(0x88f);
DefineProbe(0x890);
DefineProbe(0x891);
DefineProbe(0x892);
DefineProbe(0x893);
DefineProbe(0x894);
DefineProbe(0x895);
DefineProbe(0x896);
DefineProbe(0x897);
DefineProbe(0x898);
DefineProbe(0x899);
DefineProbe(0x89a);
DefineProbe(0x89b);
DefineProbe(0x89c);
DefineProbe(0xc01);
DefineProbe(0xc02);

DefineModule(TES, 0x110000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x7);
DefineProbe(0x8);
DefineProbe(0x9);
DefineProbe(0x12);
DefineProbe(0xfe);
DefineProbe(0xff);
DefineProbe(0x405);
DefineProbe(0x406);
DefineProbe(0x407);
DefineProbe(0x801);
DefineProbe(0x802);
DefineProbe(0x803);
DefineProbe(0x804);
DefineProbe(0x805);
DefineProbe(0x806);
DefineProbe(0x807);
DefineProbe(0x808);
DefineProbe(0x809);
DefineProbe(0x80a);
DefineProbe(0x80b);
DefineProbe(0x80c);
DefineProbe(0x80d);
DefineProbe(0x80e);
DefineProbe(0x80f);
DefineProbe(0x810);
DefineProbe(0x811);
DefineProbe(0x812);
DefineProbe(0x813);
DefineProbe(0x814);
DefineProbe(0x815);
DefineProbe(0x816);
DefineProbe(0x817);
DefineProbe(0x818);
DefineProbe(0x819);
DefineProbe(0x81a);
DefineProbe(0x81b);
DefineProbe(0x81c);
DefineProbe(0x81d);
DefineProbe(0x81e);
DefineProbe(0x81f);
DefineProbe(0x820);
DefineProbe(0x821);
DefineProbe(0x822);
DefineProbe(0x823);
DefineProbe(0x824);
DefineProbe(0x825);
DefineProbe(0x826);
DefineProbe(0x827);
DefineProbe(0x828);
DefineProbe(0x829);
DefineProbe(0x82a);
DefineProbe(0x82b);
DefineProbe(0x82c);
DefineProbe(0x82d);
DefineProbe(0x82e);
DefineProbe(0x82f);
DefineProbe(0x830);
DefineProbe(0x831);
DefineProbe(0x832);
DefineProbe(0x833);
DefineProbe(0x834);
DefineProbe(0x835);
DefineProbe(0x836);
DefineProbe(0x837);
DefineProbe(0x838);
DefineProbe(0x839);
DefineProbe(0x83a);
DefineProbe(0x83b);
DefineProbe(0x83c);
DefineProbe(0x83d);
DefineProbe(0x83e);
DefineProbe(0x83f);
DefineProbe(0x840);
DefineProbe(0x841);
DefineProbe(0x842);
DefineProbe(0x843);
DefineProbe(0x844);
DefineProbe(0x845);
DefineProbe(0x846);
DefineProbe(0x847);
DefineProbe(0x848);
DefineProbe(0x849);
DefineProbe(0x84a);
DefineProbe(0x84b);
DefineProbe(0x84c);
DefineProbe(0x84d);
DefineProbe(0x84e);
DefineProbe(0x84f);
DefineProbe(0x850);
DefineProbe(0x851);
DefineProbe(0x852);
DefineProbe(0x853);
DefineProbe(0x854);
DefineProbe(0x855);
DefineProbe(0x856);
DefineProbe(0x857);
DefineProbe(0x858);
DefineProbe(0x859);
DefineProbe(0x85a);
DefineProbe(0x85b);
DefineProbe(0x85c);
DefineProbe(0x85d);
DefineProbe(0x85e);
DefineProbe(0x85f);
DefineProbe(0x860);
DefineProbe(0x861);
DefineProbe(0x862);
DefineProbe(0x863);
DefineProbe(0x864);
DefineProbe(0x865);
DefineProbe(0x866);
DefineProbe(0x867);
DefineProbe(0x868);
DefineProbe(0x869);
DefineProbe(0x86a);
DefineProbe(0x86b);
DefineProbe(0x86c);
DefineProbe(0x86d);
DefineProbe(0x86e);
DefineProbe(0x86f);
DefineProbe(0x870);
DefineProbe(0x871);
DefineProbe(0x872);
DefineProbe(0x873);
DefineProbe(0x874);
DefineProbe(0x875);
DefineProbe(0x876);
DefineProbe(0x877);
DefineProbe(0x878);
DefineProbe(0x879);
DefineProbe(0x87a);
DefineProbe(0x87b);
DefineProbe(0x87c);
DefineProbe(0x87d);
DefineProbe(0x87e);
DefineProbe(0x87f);
DefineProbe(0x880);
DefineProbe(0x881);
DefineProbe(0x882);
DefineProbe(0x883);
DefineProbe(0x884);
DefineProbe(0x885);
DefineProbe(0x886);
DefineProbe(0x887);
DefineProbe(0x888);
DefineProbe(0x889);
DefineProbe(0x88a);
DefineProbe(0x88b);
DefineProbe(0x88c);
DefineProbe(0x88d);
DefineProbe(0x88e);
DefineProbe(0x88f);
DefineProbe(0x890);
DefineProbe(0x891);
DefineProbe(0x892);
DefineProbe(0x893);
DefineProbe(0x894);
DefineProbe(0x895);
DefineProbe(0x896);
DefineProbe(0x897);
DefineProbe(0x898);
DefineProbe(0x899);
DefineProbe(0x89a);
DefineProbe(0x89b);
DefineProbe(0x89c);
DefineProbe(0xc01);
DefineProbe(0xc02);

DefineModule(GS, 0x120000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x7);
DefineProbe(0x8);
DefineProbe(0x9);
DefineProbe(0x12);
DefineProbe(0xfe);
DefineProbe(0xff);
DefineProbe(0x405);
DefineProbe(0x406);
DefineProbe(0x407);
DefineProbe(0x801);
DefineProbe(0x802);
DefineProbe(0x803);
DefineProbe(0x804);
DefineProbe(0x805);
DefineProbe(0x806);
DefineProbe(0x807);
DefineProbe(0x808);
DefineProbe(0x809);
DefineProbe(0x80a);
DefineProbe(0x80b);
DefineProbe(0x80c);
DefineProbe(0x80d);
DefineProbe(0x80e);
DefineProbe(0x80f);
DefineProbe(0x810);
DefineProbe(0x811);
DefineProbe(0x812);
DefineProbe(0x813);
DefineProbe(0x814);
DefineProbe(0x815);
DefineProbe(0x816);
DefineProbe(0x817);
DefineProbe(0x818);
DefineProbe(0x819);
DefineProbe(0x81a);
DefineProbe(0x81b);
DefineProbe(0x81c);
DefineProbe(0x81d);
DefineProbe(0x81e);
DefineProbe(0x81f);
DefineProbe(0x820);
DefineProbe(0x821);
DefineProbe(0x822);
DefineProbe(0x823);
DefineProbe(0x824);
DefineProbe(0x825);
DefineProbe(0x826);
DefineProbe(0x827);
DefineProbe(0x828);
DefineProbe(0x829);
DefineProbe(0x82a);
DefineProbe(0x82b);
DefineProbe(0x82c);
DefineProbe(0x82d);
DefineProbe(0x82e);
DefineProbe(0x82f);
DefineProbe(0x830);
DefineProbe(0x831);
DefineProbe(0x832);
DefineProbe(0x833);
DefineProbe(0x834);
DefineProbe(0x835);
DefineProbe(0x836);
DefineProbe(0x837);
DefineProbe(0x838);
DefineProbe(0x839);
DefineProbe(0x83a);
DefineProbe(0x83b);
DefineProbe(0x83c);
DefineProbe(0x83d);
DefineProbe(0x83e);
DefineProbe(0x83f);
DefineProbe(0x840);
DefineProbe(0x841);
DefineProbe(0x842);
DefineProbe(0x843);
DefineProbe(0x844);
DefineProbe(0x845);
DefineProbe(0x846);
DefineProbe(0x847);
DefineProbe(0x848);
DefineProbe(0x849);
DefineProbe(0x84a);
DefineProbe(0x84b);
DefineProbe(0x84c);
DefineProbe(0x84d);
DefineProbe(0x84e);
DefineProbe(0x84f);
DefineProbe(0x850);
DefineProbe(0x851);
DefineProbe(0x852);
DefineProbe(0x853);
DefineProbe(0x854);
DefineProbe(0x855);
DefineProbe(0x856);
DefineProbe(0x857);
DefineProbe(0x858);
DefineProbe(0x859);
DefineProbe(0x85a);
DefineProbe(0x85b);
DefineProbe(0x85c);
DefineProbe(0x85d);
DefineProbe(0x85e);
DefineProbe(0x85f);
DefineProbe(0x860);
DefineProbe(0x861);
DefineProbe(0x862);
DefineProbe(0x863);
DefineProbe(0x864);
DefineProbe(0x865);
DefineProbe(0x866);
DefineProbe(0x867);
DefineProbe(0x868);
DefineProbe(0x869);
DefineProbe(0x86a);
DefineProbe(0x86b);
DefineProbe(0x86c);
DefineProbe(0x86d);
DefineProbe(0x86e);
DefineProbe(0x86f);
DefineProbe(0x870);
DefineProbe(0x871);
DefineProbe(0x872);
DefineProbe(0x873);
DefineProbe(0x874);
DefineProbe(0x875);
DefineProbe(0x876);
DefineProbe(0x877);
DefineProbe(0x878);
DefineProbe(0x879);
DefineProbe(0x87a);
DefineProbe(0x87b);
DefineProbe(0x87c);
DefineProbe(0x87d);
DefineProbe(0x87e);
DefineProbe(0x87f);
DefineProbe(0x880);
DefineProbe(0x881);
DefineProbe(0x882);
DefineProbe(0x883);
DefineProbe(0x884);
DefineProbe(0x885);
DefineProbe(0x886);
DefineProbe(0x887);
DefineProbe(0x888);
DefineProbe(0x889);
DefineProbe(0x88a);
DefineProbe(0x88b);
DefineProbe(0x88c);
DefineProbe(0x88d);
DefineProbe(0x88e);
DefineProbe(0x88f);
DefineProbe(0x890);
DefineProbe(0x891);
DefineProbe(0x892);
DefineProbe(0x893);
DefineProbe(0x894);
DefineProbe(0x895);
DefineProbe(0x896);
DefineProbe(0x897);
DefineProbe(0x898);
DefineProbe(0x899);
DefineProbe(0x89a);
DefineProbe(0x89b);
DefineProbe(0x89c);
DefineProbe(0xc01);
DefineProbe(0xc02);

DefineModule(PSCS, 0x50000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x7);
DefineProbe(0x8);
DefineProbe(0x9);
DefineProbe(0x10);
DefineProbe(0x11);
DefineProbe(0x20);
DefineProbe(0x21);
DefineProbe(0x22);
DefineProbe(0x23);
DefineProbe(0x24);
DefineProbe(0x25);
DefineProbe(0x26);
DefineProbe(0x27);
DefineProbe(0x28);
DefineProbe(0x80);
DefineProbe(0xfe);
DefineProbe(0xff);
DefineProbe(0x401);
DefineProbe(0x403);
DefineProbe(0x406);
DefineProbe(0x407);
DefineProbe(0x408);
DefineProbe(0x801);
DefineProbe(0x802);
DefineProbe(0x803);
DefineProbe(0x804);
DefineProbe(0x805);
DefineProbe(0x806);
DefineProbe(0x807);
DefineProbe(0x808);
DefineProbe(0x809);
DefineProbe(0x80a);
DefineProbe(0x80b);
DefineProbe(0x80c);
DefineProbe(0x80d);
DefineProbe(0x80e);
DefineProbe(0x80f);
DefineProbe(0x810);
DefineProbe(0x811);
DefineProbe(0x812);
DefineProbe(0x813);
DefineProbe(0x814);
DefineProbe(0x815);
DefineProbe(0x816);
DefineProbe(0x817);
DefineProbe(0x818);
DefineProbe(0x819);
DefineProbe(0x81a);
DefineProbe(0x81b);
DefineProbe(0x81c);
DefineProbe(0x81d);
DefineProbe(0x81e);
DefineProbe(0x81f);
DefineProbe(0x820);
DefineProbe(0x821);
DefineProbe(0x822);
DefineProbe(0x823);
DefineProbe(0x824);
DefineProbe(0x825);
DefineProbe(0x826);
DefineProbe(0x827);
DefineProbe(0x828);
DefineProbe(0x829);
DefineProbe(0x82a);
DefineProbe(0x82b);
DefineProbe(0x82c);
DefineProbe(0x82d);
DefineProbe(0x82e);
DefineProbe(0x82f);
DefineProbe(0x830);
DefineProbe(0x831);
DefineProbe(0x832);
DefineProbe(0x833);
DefineProbe(0x834);
DefineProbe(0x835);
DefineProbe(0x836);
DefineProbe(0x837);
DefineProbe(0x838);
DefineProbe(0x839);
DefineProbe(0x83a);
DefineProbe(0x83b);
DefineProbe(0x83c);
DefineProbe(0x83d);
DefineProbe(0x83e);
DefineProbe(0x83f);
DefineProbe(0x840);
DefineProbe(0x841);
DefineProbe(0x842);
DefineProbe(0x843);
DefineProbe(0x844);
DefineProbe(0x845);
DefineProbe(0x846);
DefineProbe(0x847);
DefineProbe(0x848);
DefineProbe(0x849);
DefineProbe(0x84a);
DefineProbe(0x84b);
DefineProbe(0x84c);
DefineProbe(0x84d);
DefineProbe(0x84e);
DefineProbe(0x84f);
DefineProbe(0x850);
DefineProbe(0x851);
DefineProbe(0x852);
DefineProbe(0x853);
DefineProbe(0x854);
DefineProbe(0x855);
DefineProbe(0x856);
DefineProbe(0x857);
DefineProbe(0x858);
DefineProbe(0x859);
DefineProbe(0x85a);
DefineProbe(0x85b);
DefineProbe(0x85c);
DefineProbe(0x85d);
DefineProbe(0x85e);
DefineProbe(0x85f);
DefineProbe(0x860);
DefineProbe(0x861);
DefineProbe(0x862);
DefineProbe(0x863);
DefineProbe(0x864);
DefineProbe(0x865);
DefineProbe(0x866);
DefineProbe(0x867);
DefineProbe(0x868);
DefineProbe(0x869);
DefineProbe(0x86a);
DefineProbe(0x86b);
DefineProbe(0x86c);
DefineProbe(0x86d);
DefineProbe(0x86e);
DefineProbe(0x86f);
DefineProbe(0x870);
DefineProbe(0x871);
DefineProbe(0x872);
DefineProbe(0x873);
DefineProbe(0x874);
DefineProbe(0x875);
DefineProbe(0x876);
DefineProbe(0x877);
DefineProbe(0x878);
DefineProbe(0x879);
DefineProbe(0x87a);
DefineProbe(0x87b);
DefineProbe(0x87c);
DefineProbe(0x87d);
DefineProbe(0x87e);
DefineProbe(0x87f);
DefineProbe(0x880);
DefineProbe(0x881);
DefineProbe(0x882);
DefineProbe(0x883);
DefineProbe(0x884);
DefineProbe(0x885);
DefineProbe(0x886);
DefineProbe(0x887);
DefineProbe(0x888);
DefineProbe(0x889);
DefineProbe(0x88a);
DefineProbe(0x88b);
DefineProbe(0x88c);
DefineProbe(0x88d);
DefineProbe(0x88e);
DefineProbe(0x88f);
DefineProbe(0x890);
DefineProbe(0x891);
DefineProbe(0x892);
DefineProbe(0x893);
DefineProbe(0x894);
DefineProbe(0x895);
DefineProbe(0x896);
DefineProbe(0x897);
DefineProbe(0x898);
DefineProbe(0x899);
DefineProbe(0x89a);
DefineProbe(0x89b);
DefineProbe(0x89c);
DefineProbe(0xc01);
DefineProbe(0xc02);

DefineModule(TX, 0x60000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x7);
DefineProbe(0x9);
DefineProbe(0xa);
DefineProbe(0x10);
DefineProbe(0x11);
DefineProbe(0x12);
DefineProbe(0x13);
DefineProbe(0x20);
DefineProbe(0x21);
DefineProbe(0x22);
DefineProbe(0x23);
DefineProbe(0x24);
DefineProbe(0x25);
DefineProbe(0x26);
DefineProbe(0x27);
DefineProbe(0x28);
DefineProbe(0x29);
DefineProbe(0x2a);
DefineProbe(0x2b);
DefineProbe(0x2c);
DefineProbe(0x2d);
DefineProbe(0x2e);
DefineProbe(0x2f);
DefineProbe(0x30);
DefineProbe(0xfe);
DefineProbe(0xff);
DefineProbe(0x801);
DefineProbe(0x802);
DefineProbe(0x803);
DefineProbe(0x804);
DefineProbe(0x805);
DefineProbe(0x806);
DefineProbe(0x807);
DefineProbe(0x808);
DefineProbe(0x809);
DefineProbe(0x80a);
DefineProbe(0x80b);
DefineProbe(0x80c);
DefineProbe(0x80d);
DefineProbe(0x80e);
DefineProbe(0x80f);
DefineProbe(0x810);
DefineProbe(0x811);
DefineProbe(0x812);
DefineProbe(0x813);
DefineProbe(0x814);
DefineProbe(0x815);
DefineProbe(0x816);
DefineProbe(0x817);
DefineProbe(0x818);
DefineProbe(0x819);
DefineProbe(0x81a);
DefineProbe(0x81b);
DefineProbe(0x81c);
DefineProbe(0x81d);
DefineProbe(0x81e);
DefineProbe(0x81f);
DefineProbe(0x820);
DefineProbe(0x821);
DefineProbe(0x822);
DefineProbe(0x823);
DefineProbe(0x824);
DefineProbe(0x825);
DefineProbe(0x826);
DefineProbe(0x827);
DefineProbe(0x828);
DefineProbe(0x829);
DefineProbe(0xc01);
DefineProbe(0xc02);
DefineProbe(0xc03);
DefineProbe(0xc04);
DefineProbe(0xc05);
DefineProbe(0xc06);
DefineProbe(0xc07);
DefineProbe(0xc08);
DefineProbe(0xc09);
DefineProbe(0xc0a);

DefineModule(PE, 0x70000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x7);
DefineProbe(0x8);
DefineProbe(0x9);
DefineProbe(0xa);
DefineProbe(0xb);
DefineProbe(0xc);
DefineProbe(0x10);
DefineProbe(0x11);
DefineProbe(0x12);
DefineProbe(0x13);
DefineProbe(0x14);
DefineProbe(0x15);
DefineProbe(0x16);
DefineProbe(0x17);
DefineProbe(0x18);
DefineProbe(0x19);
DefineProbe(0x1a);
DefineProbe(0x1b);
DefineProbe(0x1c);
DefineProbe(0x1d);
DefineProbe(0x1e);
DefineProbe(0x1f);
DefineProbe(0x20);
DefineProbe(0x21);
DefineProbe(0x22);
DefineProbe(0x23);
DefineProbe(0x24);
DefineProbe(0xfe);
DefineProbe(0xff);
DefineProbe(0x401);
DefineProbe(0x402);
DefineProbe(0x403);
DefineProbe(0x404);
DefineProbe(0x801);
DefineProbe(0x802);
DefineProbe(0x803);
DefineProbe(0x804);
DefineProbe(0x805);
DefineProbe(0x806);
DefineProbe(0x807);
DefineProbe(0x808);
DefineProbe(0x809);
DefineProbe(0x80a);
DefineProbe(0x80b);
DefineProbe(0x80c);
DefineProbe(0x80d);
DefineProbe(0x80e);
DefineProbe(0x80f);
DefineProbe(0x810);
DefineProbe(0xc01);
DefineProbe(0xc02);
DefineProbe(0xc03);
DefineProbe(0xc04);
DefineProbe(0xc05);
DefineProbe(0xc06);
DefineProbe(0xc07);
DefineProbe(0xc08);
DefineProbe(0xc09);
DefineProbe(0xc0a);
DefineProbe(0xc0b);
DefineProbe(0xc0c);
DefineProbe(0xc0d);
DefineProbe(0xc0e);
DefineProbe(0xc0f);

DefineModule(USC, 0x140000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x7);
DefineProbe(0x8);
DefineProbe(0x9);
DefineProbe(0xa);
DefineProbe(0xb);
DefineProbe(0xc);
DefineProbe(0xd);
DefineProbe(0xe);
DefineProbe(0xf);
DefineProbe(0x10);
DefineProbe(0x11);
DefineProbe(0x12);
DefineProbe(0x13);
DefineProbe(0x14);
DefineProbe(0x15);
DefineProbe(0x16);
DefineProbe(0x17);
DefineProbe(0x18);
DefineProbe(0x19);
DefineProbe(0x1a);
DefineProbe(0x1b);
DefineProbe(0x1c);
DefineProbe(0x1d);
DefineProbe(0x1e);
DefineProbe(0x1f);
DefineProbe(0x20);
DefineProbe(0x21);
DefineProbe(0x22);
DefineProbe(0x23);
DefineProbe(0x24);
DefineProbe(0xc00);
DefineProbe(0xc01);
DefineProbe(0xc02);
DefineProbe(0xc03);
DefineProbe(0xc04);
DefineProbe(0xc05);
DefineProbe(0xc06);
DefineProbe(0xc07);
DefineProbe(0xc08);
DefineProbe(0xc09);
DefineProbe(0xc0a);
DefineProbe(0xc0b);
DefineProbe(0xc0c);
DefineProbe(0xc0d);
DefineProbe(0xc0e);
DefineProbe(0xc0f);
DefineProbe(0xc10);
DefineProbe(0xc11);
DefineProbe(0xc12);
DefineProbe(0xc13);
DefineProbe(0xc14);
DefineProbe(0xc15);
DefineProbe(0xc16);
DefineProbe(0xc17);
DefineProbe(0xc18);
DefineProbe(0xc19);
DefineProbe(0xc1a);
DefineProbe(0xc1b);

DefineModule(MC, 0x80000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x7);
DefineProbe(0x8);
DefineProbe(0x9);
DefineProbe(0xa);
DefineProbe(0xb);
DefineProbe(0xc);
DefineProbe(0xd);
DefineProbe(0xe);
DefineProbe(0xf);
DefineProbe(0x10);
DefineProbe(0x11);
DefineProbe(0x12);
DefineProbe(0x20);
DefineProbe(0x21);
DefineProbe(0x22);
DefineProbe(0x23);
DefineProbe(0x24);
DefineProbe(0x25);
DefineProbe(0x26);
DefineProbe(0x27);
DefineProbe(0xfe);
DefineProbe(0xff);
DefineProbe(0x801);
DefineProbe(0x802);
DefineProbe(0x803);
DefineProbe(0x804);
DefineProbe(0x805);
DefineProbe(0x806);
DefineProbe(0x807);
DefineProbe(0x808);
DefineProbe(0x809);
DefineProbe(0x80a);
DefineProbe(0x80b);
DefineProbe(0x80c);
DefineProbe(0x80d);
DefineProbe(0x80e);
DefineProbe(0x80f);
DefineProbe(0x810);
DefineProbe(0x811);
DefineProbe(0x812);
DefineProbe(0x813);
DefineProbe(0x814);
DefineProbe(0x815);
DefineProbe(0x816);
DefineProbe(0x817);
DefineProbe(0x818);
DefineProbe(0x819);
DefineProbe(0x81a);
DefineProbe(0x81b);
DefineProbe(0x81c);

DefineModule(HI, 0xa0000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x7);
DefineProbe(0x8);
DefineProbe(0x9);
DefineProbe(0xa);
DefineProbe(0xb);
DefineProbe(0xc);
DefineProbe(0xd);
DefineProbe(0xe);
DefineProbe(0xf);
DefineProbe(0x40);
DefineProbe(0x41);
DefineProbe(0x42);
DefineProbe(0x46);
DefineProbe(0x47);
DefineProbe(0x48);
DefineProbe(0x49);
DefineProbe(0x4a);
DefineProbe(0x4b);
DefineProbe(0x52);
DefineProbe(0x53);
DefineProbe(0xfe);
DefineProbe(0xff);
DefineProbe(0x801);
DefineProbe(0x802);
DefineProbe(0x803);
DefineProbe(0x804);
DefineProbe(0x805);
DefineProbe(0x806);
DefineProbe(0x807);
DefineProbe(0x808);
DefineProbe(0x809);
DefineProbe(0x80a);
DefineProbe(0x80b);
DefineProbe(0x80c);
DefineProbe(0x80d);
DefineProbe(0x80e);
DefineProbe(0x80f);
DefineProbe(0x810);
DefineProbe(0x811);
DefineProbe(0x812);
DefineProbe(0x813);
DefineProbe(0x814);
DefineProbe(0x815);
DefineProbe(0x816);
DefineProbe(0x817);
DefineProbe(0x818);
DefineProbe(0x819);
DefineProbe(0x81a);
DefineProbe(0x81b);
DefineProbe(0x81c);
DefineProbe(0x81d);
DefineProbe(0x81e);
DefineProbe(0x81f);
DefineProbe(0x820);
DefineProbe(0x821);
DefineProbe(0x822);
DefineProbe(0x823);
DefineProbe(0x824);
DefineProbe(0xc01);
DefineProbe(0xc02);
DefineProbe(0xc03);
DefineProbe(0xc04);
DefineProbe(0xc05);
DefineProbe(0xc06);
DefineProbe(0xc07);
DefineProbe(0xc08);
DefineProbe(0xc09);
DefineProbe(0xc0a);
DefineProbe(0xc0b);
DefineProbe(0xc0c);
DefineProbe(0xc0d);
DefineProbe(0xc0e);

DefineModule(BLT, 0x160000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x10);
DefineProbe(0x11);
DefineProbe(0x12);
DefineProbe(0x13);
DefineProbe(0x14);
DefineProbe(0x15);
DefineProbe(0x16);
DefineProbe(0x17);
DefineProbe(0x18);
DefineProbe(0x19);
DefineProbe(0xfe);
DefineProbe(0xff);

DefineModule(DIR, 0x150000);
DefineProbe(0x1);
DefineProbe(0x2);
DefineProbe(0x3);
DefineProbe(0x4);
DefineProbe(0x5);
DefineProbe(0x6);
DefineProbe(0x7);
DefineProbe(0x8);
DefineProbe(0x9);
DefineProbe(0xa);
DefineProbe(0xb);


